LinuxQuestions.org
Welcome to the most active Linux Forum on the web.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Linux Mint
User Name
Password
Linux Mint This forum is for the discussion of Linux Mint.

Notices

Reply
 
Search this Thread
Old 02-02-2013, 07:01 PM   #1
CalebW
LQ Newbie
 
Registered: Aug 2012
Posts: 18

Rep: Reputation: Disabled
Help needed fixing Python v2.7.3


I use Mint 13 and I have this python script that requires python v2.6 (the default version is 2.7.3). So I go download the v2.6 source, compile and install it and the script works fine. But it messed up the 2.7 version so now I can't run default advanced mintMenu, I can't run the "mintupdate" command so the update manager doesn't work, I can't run the "mintdesktop" command, I can't run the Software Manager that uses the "mintinstall" command, and a bunch of other stuff. I read later that you were supposed to you the "make altinstall" command on secondary python version and use "make install" on the version you want to be your primary version so I downloaded the v2.7.3 source and used "make install" and then I used "make altinstall" on the v2.6, but it still didn't fix the problem.

Does anyone know what I can do to fix the problem? Any help will be appreciated.
 
Old 02-03-2013, 02:43 AM   #2
xenopeek
LQ Newbie
 
Registered: Dec 2012
Posts: 19

Rep: Reputation: 3
Try if you can reinstall Python 2.7. Open a terminal and run the following command. You will be asked to type your password; note that the terminal does not give you any feedback as your type it. Share any errors of the command here. You can copy text to/from the terminal, see its Edit menu.
Code:
sudo apt-get install --reinstall libpython2.7 python2.7 python2.7-minimal
 
Old 02-08-2013, 06:07 PM   #3
CalebW
LQ Newbie
 
Registered: Aug 2012
Posts: 18

Original Poster
Rep: Reputation: Disabled
I've already done that. I've reinstalled Python and a bunch of other stuff related to python but doesn't change anything.
 
Old 02-09-2013, 04:25 AM   #4
xenopeek
LQ Newbie
 
Registered: Dec 2012
Posts: 19

Rep: Reputation: 3
Okay, what does this say:
Code:
python --version
And can you share the output of:
Code:
ls -l /usr/bin/python*
 
Old 02-11-2013, 08:36 PM   #5
CalebW
LQ Newbie
 
Registered: Aug 2012
Posts: 18

Original Poster
Rep: Reputation: Disabled
It says that its version 2.7.3.

The output of ls -l /usr/bin/python* is:

lrwxrwxrwx 1 root root 9 Apr 17 2012 /usr/bin/python -> python2.7
lrwxrwxrwx 1 root root 9 Apr 17 2012 /usr/bin/python2 -> python2.7
-rwxr-xr-x 1 root root 2799288 Aug 1 2012 /usr/bin/python2.7
-rwxr-xr-x 1 root root 1652 Aug 1 2012 /usr/bin/python2.7-config
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] Working on installing Python 3.2, a little help needed please em21701 Slackware 7 03-23-2011 08:33 PM
Fixing recursive fault but reboot is needed! vkmgeek Programming 2 01-02-2008 07:03 PM
Python program help needed. And confused about self... nomb Programming 5 11-15-2007 12:10 PM
needed python?? abd_bela Programming 2 06-28-2007 12:04 PM
Duplex mismatch fixing help needed... jenseman Linux - Networking 0 08-19-2003 06:49 AM


All times are GMT -5. The time now is 07:47 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration